# `maraiah-tycho`

`maraiah-tycho` is a map editor written in C++ and Rust using Qt.

## Dependencies

`maraiah-tycho` requires:

- A working C++17 compiler and runtime.
- `cmake` version 3.14 or greater.
- `fish` for running the necessary scripts.
- `librsvg` for compiling images and for the bundle script.
- `pigz` to compile the images.
- `qt5`, specifically the Core, GUI and Widgets libraries.
- `rustc` version 1.36.0 or greater.

## Installation

To compile:

- `tools/gen_images tycho`
- `cargo build -p maraiah-tycho`

If you wish to create a Macintosh Application Bundle, run:

`tools/bundle Tycho <path-to-executable>`

This will also create an installer DMG. If you don't want to create an installer
and just want the app, run:

`env NO_DMG=1 tools/bundle Tycho <path-to-executable>`
