# `maraiah`

The basis of this project is the Rust project `maraiah` which provides functions
and structures to build applications which work with Marathon's data.

Maraiah comes with a set of almost fully portable tools written in Rust,
including binary file reading, safe C-like `enum` reading, improved error
handling, FFI tools, fixed point numbers, and image and sound structures.

Maraiah also comes with APIs for working with various data formats, primarily
Marathon's. It also handles Macintosh PICT files, PPM, TARGA, RIFF WAVE, and
more.

## Features

Maraiah supports serializing and deserializing through `serde` with the
`serde_obj` feature.

## Dependencies

`maraiah` requires:

- `rustc` version 1.36.0 or greater.

## Installation

To compile, run `cargo build`.
